@import url('https://fonts.googleapis.com/css?family=Nunito:400,600');

/* ***** MATERIALIZE CUSTOM ***** */
.no-margin {
    margin: 0 !important;
}

.no-padding {
    padding: 0 !important;
}

.input-field .prefix.active {
    color: #e96656 !important; 
}


/* ***** General Styles ***** */
.a-phone {
    position: absolute;
    left: 30px;
}

.primary-color {
    background-color: #e96656 !important; 
}

.primary-color-txt {
    color: #e96656 !important; 
}

.btn-big {
    height: 50px !important;
}

main {
    padding: 20px;
    padding-top: 76px;
    padding-bottom: 66px;
}

.bolder {
    font-weight: bolder;
}

@media (max-width: 600px) {
    .aviso {
        position: fixed !important;
        height: 50px !important;
        top: unset !important;
        bottom: 56px !important;
    }
}

.aviso-ok {
    background-color: #388e3c !important;
}

.aviso-fallo {
    background-color: #c62828 !important;
}

/* ***** CABECERA ***** */
header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: #3d3d3d;
    text-align: center;
    z-index: 3;
}

nav {
    background-color: #3d3d3d !important;
}

header img.logo {
    height: 56px;
}

#dropdownMenu {
    left: 0 !important;
}

#dropdownMenu a {
    display: flex;
    color: #3d3d3d;
}

.dropdown-content li > a > i {
    margin-right: 5px !important;
}

/* --------------------- BOTTOM NAVBAR ---------------------- */

/*  Ocultamos la barra inferior en ordenadores */
@media (min-width: 993px) {
    .bottom-navBar {
        display: none;
    }
}

footer {
    height: 56px;
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 3;
}

footer .bottom-navBar i {
    height: 0px !important;
    line-height: 40px !important;
}

footer .bottom-navBar p {
    margin-top: 1em;
}

footer .bottom-navBar > a {
    display: flex;
    flex-flow: column;
    align-items: center;
}

.nav-active * {
    color: #e96656;
}

/* ----------- PAGE LOGIN ----------------- */
.all-height {
    height: 100%;
}

.session-page {
    height: 100%;
    display: flex;
    align-items: center;
}

.txt-informacion {
    text-align: justify;
}


/* ------------- INICIO ----------------*/
img.iconSocial {
    height: 75px;
    margin-left: auto;
    margin-right: auto;
    display: block;
}

ul.collapsible.popout li div.collapsible-header {
    display: flex;
    align-items: center;
    font-size: 18px;
}

/* ------------- CALENDARIO ----------------*/
div#vista-calendario, div#vista-listado {
    margin-top: 48px;
}

ul.dropdown-content.select-dropdown {
    max-height: 200px;
}

ul.dropdown-content.select-dropdown li:not(.disabled) span {
    color: #e96656 !important;
}

#vista-calendario #lista-recuperaciones div.collapsible-header {
    position: relative;
}

#vista-calendario #lista-recuperaciones div.collapsible-header i.material-icons {
    position: absolute;
    right: 0;
}

#lista-recuperaciones li.collection-item,
#clases-dia li.collection-item {
    position: relative;
}

#lista-recuperaciones div.collapsible-body i.material-icons,
#clases-dia i.material-icons {
    position: absolute;
    right: 10px;
    top: 20px;
}

#botonRecuperar {
    display: none;
}

div#vista-listado {
    display: none;
}

#listado-clases li.collection-item {
    padding: 0 !important;
}

#listado-clases li.collection-item:nth-of-type(n+2) {
    padding-top: 12px !important;
}

div#clases-dia span.badge {
    margin: 0;
    position: absolute;
    right: 40px;
    top: 21px;
    background-color: #3d3d3d;
    color: white;
    border-radius: 5px;
    padding: 0;
}

/* ------------- MENSAJES ----------------*/
div.notificacion div.mensaje-notif {
    box-shadow: none;
    border: 1px solid #ddd;
    border-radius: 5px;
    padding: 15px;
    margin: 20px 0 5px 0;
    background-color: #f7f7f7;
}

div.notificacion div.fecha-notif {
    text-align: right;
}


/* ------------- PAGOS ----------------*/
ul#collap-pagos div.collapsible-header {
    font-size: 18px;
}

div.pago {
    margin: 0;
}
div.pago:nth-last-of-type(n+2) { 
    border-bottom: 1px solid rgb(221,221,221);
    padding-bottom: 16px;
}
div.pago:nth-of-type(n+2) {
    padding-top: 16px;
}

div.pago.row div {
    padding: 0;
}

div.pago.row p {
    margin: 5px 0px;
}




/* ------------ Estilos calendario ------------ */
:root {
    --vcal-bg-color: #fff;
    --vcal-border-radius: 0;
    --vcal-border-color: #e7e9ed;
    /* --vcal-today-bg-color: #10989E; */
    --vcal-today-bg-color: #e96656;
    --vcal-today-color: #fff;
    --vcal-selected-bg-color: #E7E9ED;
    --vcal-selected-color: #333;
}

#v-cal *, #v-cal *:before, #v-cal *:after {
    box-sizing: border-box;
}

#v-cal {
    background-color: var(--vcal-bg-color);
    border-radius: var(--vcal-border-radius);
    border: solid 1px var(--vcal-border-color);
    box-shadow: 0 4px 22px 0 rgba(0, 0, 0, 0.05);
    margin: 0 auto;
    overflow: hidden;
    width: 100%;
}

#v-cal .vcal-btn {
    -moz-user-select: none;
    -ms-user-select: none;
    -webkit-appearance: button;
    background: none;
    border: 0;
    color: inherit;
    cursor: pointer;
    font: inherit;
    line-height: normal;
    min-width: 27px;
    outline: none;
    overflow: visible;
    padding: 0;
    text-align: center;
    /* &:active {
    border-radius: var(--vcal-border-radius);
    box-shadow: 0 0 0 2px rgba(var(--vcal-today-bg-color), 0.1)
} */
}

#v-cal .vcal-header {
    align-items: center;
    display: flex;
    padding: 1.2rem 1.4rem;
}

#v-cal .vcal-header svg {
    fill: var(--vcal-today-bg-color);
}

#v-cal .vcal-header__label {
    font-weight: bold;
    text-align: center;
    width: 100%;
}

#v-cal .vcal-week {
    background-color: var(--vcal-selected-bg-color);
    display: flex;
    flex-wrap: wrap;
}

#v-cal .vcal-week span {
    flex-direction: column;
    flex: 0 0 14.28%;
    font-size: 1.2rem;
    font-weight: bold;
    max-width: 14.28%;
    padding: 1.2rem 1.4rem;
    text-align: center;
    text-transform: uppercase;
}

#v-cal .vcal-body {
    background-color: rgba(var(--vcal-selected-bg-color), 0.3);
    display: flex;
    flex-wrap: wrap;
}

#v-cal .vcal-date {
    align-items: center;
    background-color: #fff;
    border-radius: var(--vcal-border-radius);
    display: flex;
    flex-direction: column;
    flex: 0 0 14.28%;
    max-width: 14.28%;
    padding: 1rem 0;
}

#v-cal .vcal-date--active {
    cursor: pointer;
}

#v-cal .vcal-date--today {
    background-color: var(--vcal-today-bg-color);
    color: var(--vcal-today-color);
}

#v-cal .vcal-date--selected {
    background-color: var(--vcal-selected-bg-color);
    color: var(--vcal-selected-color);
}

#v-cal .vcal-date--disabled {
    border-radius: 0;
    cursor: not-allowed;
    opacity: 0.5;
}

.flex {
    display: flex;
    justify-content: center;
    align-items: center;
}

.festivo {
    color: rgb(64, 133, 64);
    font-weight: bolder;
    /* cursor: not-allowed; */
    pointer-events: none;

    display: block;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: rgb(64, 133, 64);
}

.clase {
    color: #006cff;
    font-weight: bolder;

    display: block;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: #006cff;
}

.vcal-date {
    width: auto;
    height: auto;
}

.vcal-date.clase {
    background-color: blue;
}

.today {
    background-color: #e96656;
    color: white;
}

#leyenda_calendario div {
    padding: 5px;
    text-align: center;
}

#leyenda_calendario div:first-of-type {
    border-right: 1px solid #ddd;
}

#leyenda_calendario {
    margin-top: 20px;
    padding: 5px;
}

#leyenda_calendario span.cuadro {
    padding: 5px 10px;
    margin-right: 10px;
}

#pilates_home h1 {
    margin-top: 0px;
    font-size: 2em;
}

.videos iframe {
    margin-bottom: 10px;
}

.more-videos {
    color: #3d3d3d;
    display: flex;
    align-items: center;
    font-size: 18px;
    font-weight: bold;
    margin-top: 15px;
}

.more-videos i {
    font-size: 18px;
    margin-left: 10px;
}

#modalMes {
    top: 75px !important;
}

#filtros a.modal-trigger {
    margin-bottom: 20px;
    background-color: transparent;
    color: #3d3d3d;
    box-shadow: none;
    border-bottom: 1px solid #e96656;
    text-transform: capitalize;
    font-size: 16px;
    outline: none;
    height: 3rem;
    line-height: 3rem;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}
#filtros .arow-down {
    display: flex;
}
